Problems with jade in docpad v.5 #183

Closed
zela opened this Issue Apr 18, 2012 · 2 comments

Comments

Projects
None yet
2 participants

zela commented Apr 18, 2012

Firstly, in new projects doesn't work jade's instruction "include". Error in in console says that 'filename' required.
Secondly, old projects (docpad v.3) pass compiling without errors, but it it simply doesn't work. Just outputs plain jade source.
It's also interesting, that direct copying 'src' folder from old projects to new structure causes the same compiling error, as in all new projects with "include" in jade code.

Owner

balupton commented Apr 18, 2012

Hey @zela

I'll take a look into the first issue of include now working with Jade.

For the second issue, to get projects from previous versions (before v5) working with v5 and on, you need to perform some manual upgrade steps which you can find by going to the Upgrade Guides.

More specifically, you'll need to add the Jade plugin as well as the other plugins you use to your website's package.json file and run a npm install.

Let me know if you need any further help, and I will look into the jade include issue now and post back soon.

Owner

balupton commented Apr 19, 2012

Ok, the first should now be fixed, just a run a npm install docpad-plugin-jade again :) My bad, sorry about that! Thanks for reporting it!

balupton closed this Apr 19, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment